package cn.lihongjie.coal.excelGeneratorSheetInfo.controller;

import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.excelGeneratorSheetInfo.dto.CreateExcelGeneratorSheetInfoDto;
import cn.lihongjie.coal.excelGeneratorSheetInfo.dto.ExcelGeneratorSheetInfoDto;
import cn.lihongjie.coal.excelGeneratorSheetInfo.dto.UpdateExcelGeneratorSheetInfoDto;
import cn.lihongjie.coal.excelGeneratorSheetInfo.service.ExcelGeneratorSheetInfoService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/excelGeneratorSheetInfo")
@SysLog(module = "excel生成器sheet信息")
@Slf4j
public class ExcelGeneratorSheetInfoController {
    @Autowired private ExcelGeneratorSheetInfoService service;

    @PostMapping("/create")
    public ExcelGeneratorSheetInfoDto create(
            @RequestBody CreateExcelGeneratorSheetInfoDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public ExcelGeneratorSheetInfoDto update(
            @RequestBody UpdateExcelGeneratorSheetInfoDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public ExcelGeneratorSheetInfoDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<ExcelGeneratorSheetInfoDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
